Skip to main content
Returns a card’s transaction history (settlements, refunds, cross-border, declines…). This is the per-card statement; your USD card-wallet transactions (funding, top-ups, fees) are separate.
Card endpoints use the same base URL and API key as the rest of the API and are not signature-gated.

Endpoint

GET /api/v1/business/card/{reference}/transactions
Signature required: No

Headers

HeaderRequiredDescription
X-Numero-Api-KeyYesYour API key

Path parameters

ParameterTypeRequiredDescription
referencestringYesThe card reference

Query parameters

ParameterTypeRequiredDescription
pageNumberintegerNoPage number (default 1)
pageSizeintegerNoPage size (default 50)

Request example

curl -X GET "https://api-dev.usenumero.com/numeroaccount/api/v1/business/card/NCRD24AD18BEBD474A/transactions" \
  -H "X-Numero-Api-Key: your_api_key"

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "N20260616120000",
  "data": {
    "cardReference": "NCRD24AD18BEBD474A",
    "transactions": [
      {
        "reference": "CTXN-0001",
        "type": "Settlement",
        "amount": 9.99,
        "currency": "USD",
        "status": "Successful",
        "description": "ACME SaaS",
        "merchantName": "ACME",
        "merchantId": "MID123",
        "network": "Visa",
        "country": "US",
        "occurredAt": "2026-06-16T12:00:00Z"
      }
    ]
  },
  "error": null
}